<template>
	<view class="pages">
		<view class="header">
			<u-navbar is-back="false" :title="title"></u-navbar>
		</view>
		<view class="content">
			<view v-for="(item,index) in list" :key="index" class="item">
				<view class="title" @click="goRules(item)">
					{{item.title}}
				</view>

				<u-line />
			</view>

		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				title: '',
				list: [],
				itemInfo: {}
			}
		},
		onLoad(options) {
			this.itemInfo = JSON.parse(decodeURIComponent(options.itemInfo))
			console.log(this.itemInfo )
			this.title = this.itemInfo.name
			this.list = this.itemInfo.child
		},
		methods: {
			goRules(item) {
				uni.navigateTo({
					url: '/pages/news/rules/index?itemInfo=' + encodeURIComponent(JSON.stringify(item))
				})
			}
		}
	}
</script>

<style scoped lang="scss">
	.pages {
		width: 100%;
		height: 100%;
		padding: 30rpx;
	}

	.item {
		margin-bottom: 28rpx;
	}

	.title {
		margin-bottom: 28rpx;
	}
</style>